Bug 474615 - qct : Unowned directories
qct : Unowned directories
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: qct (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 12:00 EST by Michael Schwendt
Modified: 2009-04-02 02:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 19:51:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-12-04 12:00:03 EST
One or more directories are not included within this
package and/or its sub-packages:

=> qct-1.5-6.fc9.i386 (rawhide-development-i386)
/usr/lib/python2.5/site-packages/qctlib
/usr/lib/python2.5/site-packages/qctlib/vcs

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories
Comment 1 Mads Kiilerich 2009-03-31 08:55:02 EDT
Confirmed with qct-1.7-2.fc11.i586

Fix:

--- qct.spec.org	2009-03-31 14:44:49.000000000 +0200
+++ qct.spec	2009-03-31 14:52:12.000000000 +0200
@@ -56,6 +56,8 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,-)
+%dir %{python_archlib}/qctlib
+%dir %{python_archlib}/qctlib/vcs
 %{_datadir}/applications/fedora-qct.desktop
 %doc COPYING README.*
Comment 2 Neal Becker 2009-04-01 19:51:27 EDT
Just curious, if we have
%dir %{python_archlib}/qctlib

do we still need

%dir %{python_archlib}/qctlib/vcs

I would think the first would cover any subdirectory.
Comment 3 Michael Schwendt 2009-04-02 02:12:25 EDT
The Wiki page linked in the original report explains it.

%dir only includes a specific directory entry, not any files within it and not an entire tree of directories either.

The patch suggested in comment 1 is correct.

[...]

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n ^qct
If used with local builds, an additional local repo must be specified.

Note You need to log in before you can comment on or make changes to this bug.